{"items":[{"type":"link","label":"DrillPlan Dynamic Display Items API","link":"/solutions/drillplan/apis/drillplan-ddi-api","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api","content":{"contentType":"overview","meta":{"name":"DrillPlan Dynamic Display Items API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"DrillPlan-DDI-API.json","url":"/_bundle/solutions/drillplan/apis/DrillPlan-DDI-API.json?download"},{"kind":"download","label":"DrillPlan-DDI-API.yaml","url":"/_bundle/solutions/drillplan/apis/DrillPlan-DDI-API.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"DrillPlan Dynamic Display Items API (1.1.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Provides access to DrillPlan dynamic display items."},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"fwk-drillplan.slbservice.com\n","language":"plain","title":"Client ID"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"fwk-drillplan.slbservice.com\n"},"children":[]}]}]}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"Display Items","link":"/solutions/drillplan/apis/drillplan-ddi-api/display-items","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/display-items","items":[{"label":"Get DrillPlan display items.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/getdisplayitemsv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/getdisplayitemsv1","metadata":{"seo":{"title":"Get DrillPlan display items.","description":"Returns a collection of DrillPlan display items."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetDisplayItemsV1","name":"Get DrillPlan display items.","isWebhook":false,"pointer":"/paths/~1v1~1display-items/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get DrillPlan display items.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns a collection of DrillPlan display items.  \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1display-items/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/display-items","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","500","default"],"pointer":"/v1/display-items","href":"display-items/getdisplayitemsv1","openApiOperationId":"GetDisplayItemsV1","summary":"Get DrillPlan display items."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/DisplayItemList"}},"schemaId":"components/schemas/DisplayItemList"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/401/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1display-items/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/DisplayItemList","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/DisplayItemList"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/401/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1display-items/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/display-items/getdisplayitemsv1"}],"panels":[]}]},"httpPath":"/v1/display-items"},{"label":"Create a task for requesting display items content.","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/createdisplayitemscontentrequesttaskv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/createdisplayitemscontentrequesttaskv1","metadata":{"seo":{"title":"Create a task for requesting display items content.","description":"Creates a new instance of the asynchronous task for requesting display items content. The user must be a member of the project to be able to request display items content."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"CreateDisplayItemsContentRequestTaskV1","name":"Create a task for requesting display items content.","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a task for requesting display items content.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new instance of the asynchronous task for requesting display items content. \nThe user must be a member of the project to be able to request display items content.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateDisplayItemsContentRequest"}},"schemaId":"components/schemas/CreateDisplayItemsContentRequest","pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/projects/{projectId}/display-items/content/requests","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateDisplayItemsContentRequest"}},"responseCodes":["200","400","401","404","423","500","default"],"pointer":"/v1/projects/{projectId}/display-items/content/requests","href":"display-items/createdisplayitemscontentrequesttaskv1","openApiOperationId":"CreateDisplayItemsContentRequestTaskV1","summary":"Create a task for requesting display items content."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/CreateDisplayItemsContentRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateDisplayItemsContentRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"400","description":"Bad request.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/400/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/400/content/application~1problem+json/example"]},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/404/content/application~1problem+json/example"]},{"code":"423","description":"Locked.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/423/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/423/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"400","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/400/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/400/content/application~1problem+json/example"]}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/404/content/application~1problem+json/example"]}}},{"code":"423","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/423/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/423/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1requests/post/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/display-items/createdisplayitemscontentrequesttaskv1"}],"panels":[]}]},"httpPath":"/v1/projects/{projectId}/display-items/content/requests"},{"label":"Get a result of a display items content requesting task.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/getdisplayitemscontentv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/getdisplayitemscontentv1","metadata":{"seo":{"title":"Get a result of a display items content requesting task.","description":"Results of display items content request operations are transient and get deleted after one minute after the corresponding task gets completed. To get the results, the user must be a member of the project to which the task belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetDisplayItemsContentV1","name":"Get a result of a display items content requesting task.","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a result of a display items content requesting task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Results of display items content request operations are transient and get deleted after one minute after the corresponding task gets completed.\nTo get the results, the user must be a member of the project to which the task belongs.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"contentId","in":"path","schemaId":"schema_0","description":"Identifier of the content.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/projects/{projectId}/display-items/content/{contentId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"contentId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v1/projects/{projectId}/display-items/content/{contentId}","href":"display-items/getdisplayitemscontentv1","openApiOperationId":"GetDisplayItemsContentV1","summary":"Get a result of a display items content requesting task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/DisplayItemsContent"}},"schemaId":"components/schemas/DisplayItemsContent"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/DisplayItemsContent","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/DisplayItemsContent"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/display-items/getdisplayitemscontentv1"}],"panels":[]}]},"httpPath":"/v1/projects/{projectId}/display-items/content/{contentId}"},{"label":"Get a content part as a result of a display items content requesting task.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/getdisplayitemscontentpartv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/display-items/getdisplayitemscontentpartv1","metadata":{"seo":{"title":"Get a content part as a result of a display items content requesting task.","description":"Results of display items content request operations are transient and get deleted after one minute after the corresponding task gets completed. To get the results, the user must be a member of the project to which the task belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetDisplayItemsContentPartV1","name":"Get a content part as a result of a display items content requesting task.","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a content part as a result of a display items content requesting task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Results of display items content request operations are transient and get deleted after one minute after the corresponding task gets completed.\nTo get the results, the user must be a member of the project to which the task belongs.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"contentPartId","in":"path","schemaId":"schema_0","description":"Identifier of the content part.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/projects/{projectId}/display-items/content-parts/{contentPartId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"contentPartId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v1/projects/{projectId}/display-items/content-parts/{contentPartId}","href":"display-items/getdisplayitemscontentpartv1","openApiOperationId":"GetDisplayItemsContentPartV1","summary":"Get a content part as a result of a display items content requesting task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"image/*","mediaTypes":["image/*","application/*","text/table+html"],"mediaTypeContent":{"image/*":{"schemaId":"schema_1"},"application/*":{"schemaId":"schema_1"},"text/table+html":{"schemaId":"schema_0"}},"schemaId":"schema_1"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_1","mediaTypes":["image/*","application/*","text/table+html"],"mediaTypeContent":{"image/*":{"schemaId":"schema_1"},"application/*":{"schemaId":"schema_1"},"text/table+html":{"schemaId":"schema_0"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1display-items~1content-parts~1{contentPartId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/display-items/getdisplayitemscontentpartv1"}],"panels":[]}]},"httpPath":"/v1/projects/{projectId}/display-items/content-parts/{contentPartId}"}],"content":{"contentType":"group","meta":{"name":"Display Items"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Display Items","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access DrillPlan display items."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v1/display-items","summary":"Get DrillPlan display items.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/display-items/getdisplayitemsv1","deprecated":false},{"title":"/v1/projects/{projectId}/display-items/content/requests","summary":"Create a task for requesting display items content.","prefix":{"name":"post","color":"post"},"badges":[],"link":"/display-items/createdisplayitemscontentrequesttaskv1","deprecated":false},{"title":"/v1/projects/{projectId}/display-items/content/{contentId}","summary":"Get a result of a display items content requesting task.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/display-items/getdisplayitemscontentv1","deprecated":false},{"title":"/v1/projects/{projectId}/display-items/content-parts/{contentPartId}","summary":"Get a content part as a result of a display items content requesting task.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/display-items/getdisplayitemscontentpartv1","deprecated":false}]}]}]}]}},{"type":"group","label":"Key Parameters","link":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters","items":[{"label":"Get DrillPlan key parameters.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters/getkeyparametersv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters/getkeyparametersv1","metadata":{"seo":{"title":"Get DrillPlan key parameters.","description":"Returns a collection of DrillPlan key parameters."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetKeyParametersV1","name":"Get DrillPlan key parameters.","isWebhook":false,"pointer":"/paths/~1v1~1key-parameters/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get DrillPlan key parameters.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns a collection of DrillPlan key parameters.  \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1key-parameters/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/key-parameters","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","500","default"],"pointer":"/v1/key-parameters","href":"key-parameters/getkeyparametersv1","openApiOperationId":"GetKeyParametersV1","summary":"Get DrillPlan key parameters."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/KeyParameterList"}},"schemaId":"components/schemas/KeyParameterList"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/401/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1key-parameters/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/KeyParameterList","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/KeyParameterList"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/401/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1key-parameters/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/key-parameters/getkeyparametersv1"}],"panels":[]}]},"httpPath":"/v1/key-parameters"},{"label":"Create a task for requesting key parameters content.","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters/createkeyparameterscontentrequesttaskv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters/createkeyparameterscontentrequesttaskv1","metadata":{"seo":{"title":"Create a task for requesting key parameters content.","description":"Creates a new instance of the asynchronous task for requesting key parameters content. The user must be a member of the project to be able to request key parameters content."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"CreateKeyParametersContentRequestTaskV1","name":"Create a task for requesting key parameters content.","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a task for requesting key parameters content.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new instance of the asynchronous task for requesting key parameters content. \nThe user must be a member of the project to be able to request key parameters content.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateKeyParametersContentRequest"}},"schemaId":"components/schemas/CreateKeyParametersContentRequest","pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/projects/{projectId}/key-parameters/content/requests","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateKeyParametersContentRequest"}},"responseCodes":["200","400","401","404","423","500","default"],"pointer":"/v1/projects/{projectId}/key-parameters/content/requests","href":"key-parameters/createkeyparameterscontentrequesttaskv1","openApiOperationId":"CreateKeyParametersContentRequestTaskV1","summary":"Create a task for requesting key parameters content."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/CreateKeyParametersContentRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateKeyParametersContentRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"400","description":"Bad request.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/400/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/400/content/application~1problem+json/example"]},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/404/content/application~1problem+json/example"]},{"code":"423","description":"Locked.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/423/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/423/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"400","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/400/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/400/content/application~1problem+json/example"]}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/404/content/application~1problem+json/example"]}}},{"code":"423","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/423/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/423/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1requests/post/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/key-parameters/createkeyparameterscontentrequesttaskv1"}],"panels":[]}]},"httpPath":"/v1/projects/{projectId}/key-parameters/content/requests"},{"label":"Get a result of a key parameters content requesting task.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters/getkeyparameterscontentv1","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/key-parameters/getkeyparameterscontentv1","metadata":{"seo":{"title":"Get a result of a key parameters content requesting task.","description":"Results of key parameters content request operations are transient and get deleted after one minute after the corresponding task gets completed. To get the results, the user must be a member of the project to which the task belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetKeyParametersContentV1","name":"Get a result of a key parameters content requesting task.","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a result of a key parameters content requesting task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Results of key parameters content request operations are transient and get deleted after one minute after the corresponding task gets completed.\nTo get the results, the user must be a member of the project to which the task belongs.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"contentId","in":"path","schemaId":"schema_0","description":"Identifier of the content.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/projects/{projectId}/key-parameters/content/{contentId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"contentId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v1/projects/{projectId}/key-parameters/content/{contentId}","href":"key-parameters/getkeyparameterscontentv1","openApiOperationId":"GetKeyParametersContentV1","summary":"Get a result of a key parameters content requesting task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Success","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/KeyParametersContent"}},"schemaId":"components/schemas/KeyParametersContent"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/KeyParametersContent","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/KeyParametersContent"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v1~1projects~1{projectId}~1key-parameters~1content~1{contentId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/key-parameters/getkeyparameterscontentv1"}],"panels":[]}]},"httpPath":"/v1/projects/{projectId}/key-parameters/content/{contentId}"}],"content":{"contentType":"group","meta":{"name":"Key Parameters"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Key Parameters","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access DrillPlan key parameters."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v1/key-parameters","summary":"Get DrillPlan key parameters.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/key-parameters/getkeyparametersv1","deprecated":false},{"title":"/v1/projects/{projectId}/key-parameters/content/requests","summary":"Create a task for requesting key parameters content.","prefix":{"name":"post","color":"post"},"badges":[],"link":"/key-parameters/createkeyparameterscontentrequesttaskv1","deprecated":false},{"title":"/v1/projects/{projectId}/key-parameters/content/{contentId}","summary":"Get a result of a key parameters content requesting task.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/key-parameters/getkeyparameterscontentv1","deprecated":false}]}]}]}]}},{"type":"group","label":"Tasks","link":"/solutions/drillplan/apis/drillplan-ddi-api/tasks","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/tasks","items":[{"label":"Get a task.","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/drillplan/apis/drillplan-ddi-api/tasks/gettaskv2","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/tasks/gettaskv2","metadata":{"seo":{"title":"Get a task.","description":"Allows to get a specific asynchronous task details using its ID. This end-point can be used to monitor the state of an asynchronous task. To get the task details, the user must be a member of the project to which the task belongs."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"GetTaskV2","name":"Get a task.","isWebhook":false,"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a task.","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Allows to get a specific asynchronous task details using its ID.   \nThis end-point can be used to monitor the state of an asynchronous task.  \nTo get the task details, the user must be a member of the project to which the task belongs. \n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Token from SLB Authenticator Service"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey","description":"Application key."}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_0","description":"Identifier of the project.","required":true},{"name":"taskId","in":"path","schemaId":"schema_0","description":"Identifier of the task.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-data-partition-id","in":"header","schemaId":"schema_0","description":"Data partition ID.","required":true}],"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v2/projects/{projectId}/tasks/{taskId}","servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_0"},{"name":"taskId","in":"path","required":true,"schemaId":"schema_0"}],"query":[],"querystring":[],"header":[{"name":"slb-data-partition-id","in":"header","required":true,"schemaId":"schema_0"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","500","default"],"pointer":"/v2/projects/{projectId}/tasks/{taskId}","href":"tasks/gettaskv2","openApiOperationId":"GetTaskV2","summary":"Get a task."},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://eu-api.delfi.slb.com/drillplan/ddis","description":"ProdEU"},{"url":"https://api.delfi.slb.com/drillplan/ddis","description":"ProdUS"},{"url":"/_mock/solutions/drillplan/apis/drillplan-ddi-api","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Task status","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}},"schemaId":"components/schemas/Task"},{"code":"401","description":"User is not authorized.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"]},{"code":"404","description":"Resource not found.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"]},{"code":"500","description":"Internal server error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"]},{"code":"default","description":"Unexpected error.","mediaType":"application/problem+json","mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"]}},"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"]}],"pointer":"/paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Task","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Task"}}},{"code":"401","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/401/content/application~1problem+json/example"]}}},{"code":"404","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/404/content/application~1problem+json/example"]}}},{"code":"500","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/500/content/application~1problem+json/example"]}}},{"code":"default","schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"],"mediaTypes":["application/problem+json"],"mediaTypeContent":{"application/problem+json":{"schemaId":"components/schemas/ProblemDetails","exampleIds":["paths/~1v2~1projects~1{projectId}~1tasks~1{taskId}/get/responses/default/content/application~1problem+json/example"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/tasks/gettaskv2"}],"panels":[]}]},"httpPath":"/v2/projects/{projectId}/tasks/{taskId}"}],"content":{"contentType":"group","meta":{"name":"Tasks"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Tasks","showPageActions":true},{"nodeType":"markdoc","content":"Service endpoints to access asynchronous tasks."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v2/projects/{projectId}/tasks/{taskId}","summary":"Get a task.","prefix":{"name":"get","color":"get"},"badges":[],"link":"/tasks/gettaskv2","deprecated":false}]}]}]}]}},{"type":"group","label":"Schema Definitions","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions","items":[{"type":"link","label":"KeyParameterList","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparameterlist","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparameterlist","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"KeyParameterList"},"seo":{"title":"KeyParameterList"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"KeyParameterList","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/KeyParameterList"},"children":[]}]}]}},{"type":"link","label":"KeyParameter","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparameter","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparameter","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"KeyParameter"},"seo":{"title":"KeyParameter"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"KeyParameter","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/KeyParameter"},"children":[]}]}]}},{"type":"link","label":"LevelType","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/leveltype","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/leveltype","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"LevelType"},"seo":{"title":"LevelType"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"LevelType","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/LevelType"},"children":[]}]}]}},{"type":"link","label":"CreateKeyParametersContentRequest","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/createkeyparameterscontentrequest","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/createkeyparameterscontentrequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"CreateKeyParametersContentRequest"},"seo":{"title":"CreateKeyParametersContentRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"CreateKeyParametersContentRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/CreateKeyParametersContentRequest"},"children":[]}]}]}},{"type":"link","label":"RequestedKeyParameter","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/requestedkeyparameter","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/requestedkeyparameter","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"RequestedKeyParameter"},"seo":{"title":"RequestedKeyParameter"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"RequestedKeyParameter","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/RequestedKeyParameter"},"children":[]}]}]}},{"type":"link","label":"KeyParametersContent","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparameterscontent","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparameterscontent","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"KeyParametersContent"},"seo":{"title":"KeyParametersContent"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"KeyParametersContent","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/KeyParametersContent"},"children":[]}]}]}},{"type":"link","label":"KeyParameterContent","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparametercontent","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/keyparametercontent","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"KeyParameterContent"},"seo":{"title":"KeyParameterContent"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"KeyParameterContent","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/KeyParameterContent"},"children":[]}]}]}},{"type":"link","label":"DisplayItemList","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemlist","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemlist","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"DisplayItemList"},"seo":{"title":"DisplayItemList"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"DisplayItemList","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/DisplayItemList"},"children":[]}]}]}},{"type":"link","label":"DisplayItem","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitem","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitem","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"DisplayItem"},"seo":{"title":"DisplayItem"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"DisplayItem","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/DisplayItem"},"children":[]}]}]}},{"type":"link","label":"CreateDisplayItemsContentRequest","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/createdisplayitemscontentrequest","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/createdisplayitemscontentrequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"CreateDisplayItemsContentRequest"},"seo":{"title":"CreateDisplayItemsContentRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"CreateDisplayItemsContentRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/CreateDisplayItemsContentRequest"},"children":[]}]}]}},{"type":"link","label":"RequestedDisplayItem","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/requesteddisplayitem","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/requesteddisplayitem","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"RequestedDisplayItem"},"seo":{"title":"RequestedDisplayItem"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"RequestedDisplayItem","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/RequestedDisplayItem"},"children":[]}]}]}},{"type":"link","label":"DisplayItemsContent","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemscontent","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemscontent","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"DisplayItemsContent"},"seo":{"title":"DisplayItemsContent"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"DisplayItemsContent","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/DisplayItemsContent"},"children":[]}]}]}},{"type":"link","label":"DisplayItemContent","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemcontent","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemcontent","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"DisplayItemContent"},"seo":{"title":"DisplayItemContent"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"DisplayItemContent","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/DisplayItemContent"},"children":[]}]}]}},{"type":"link","label":"DisplayItemContentPart","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemcontentpart","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/displayitemcontentpart","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"DisplayItemContentPart"},"seo":{"title":"DisplayItemContentPart"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"DisplayItemContentPart","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/DisplayItemContentPart"},"children":[]}]}]}},{"type":"link","label":"Task","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/task","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/task","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Task"},"seo":{"title":"Task"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Task","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Task"},"children":[]}]}]}},{"type":"link","label":"TaskStatus","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/taskstatus","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/taskstatus","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"TaskStatus"},"seo":{"title":"TaskStatus"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"TaskStatus","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/TaskStatus"},"children":[]}]}]}},{"type":"link","label":"AsyncTaskRequest","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/asynctaskrequest","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/asynctaskrequest","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"AsyncTaskRequest"},"seo":{"title":"AsyncTaskRequest"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"AsyncTaskRequest","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/AsyncTaskRequest"},"children":[]}]}]}},{"type":"link","label":"Callback","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/callback","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/callback","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Callback"},"seo":{"title":"Callback"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Callback","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Callback"},"children":[]}]}]}},{"type":"link","label":"CallbackData","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/callbackdata","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/callbackdata","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"CallbackData"},"seo":{"title":"CallbackData"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"CallbackData","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/CallbackData"},"children":[]}]}]}},{"type":"link","label":"ProblemDetails","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/problemdetails","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/problemdetails","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ProblemDetails"},"seo":{"title":"ProblemDetails"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ProblemDetails","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ProblemDetails"},"children":[]}]}]}},{"type":"link","label":"ProblemDetailsSeverity","link":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/problemdetailsseverity","routeSlug":"/solutions/drillplan/apis/drillplan-ddi-api/schema-definitions/problemdetailsseverity","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"ProblemDetailsSeverity"},"seo":{"title":"ProblemDetailsSeverity"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"ProblemDetailsSeverity","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/ProblemDetailsSeverity"},"children":[]}]}]}}],"content":{"contentType":"group","meta":{"name":"Schema Definitions"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Schema Definitions","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Schemas","titleTranslationKey":"schemas","items":[{"title":"KeyParameterList","link":"/schema-definitions/keyparameterlist","deprecated":false},{"title":"KeyParameter","link":"/schema-definitions/keyparameter","deprecated":false},{"title":"LevelType","link":"/schema-definitions/leveltype","deprecated":false},{"title":"CreateKeyParametersContentRequest","link":"/schema-definitions/createkeyparameterscontentrequest","deprecated":false},{"title":"RequestedKeyParameter","link":"/schema-definitions/requestedkeyparameter","deprecated":false},{"title":"KeyParametersContent","link":"/schema-definitions/keyparameterscontent","deprecated":false},{"title":"KeyParameterContent","link":"/schema-definitions/keyparametercontent","deprecated":false},{"title":"DisplayItemList","link":"/schema-definitions/displayitemlist","deprecated":false},{"title":"DisplayItem","link":"/schema-definitions/displayitem","deprecated":false},{"title":"CreateDisplayItemsContentRequest","link":"/schema-definitions/createdisplayitemscontentrequest","deprecated":false},{"title":"RequestedDisplayItem","link":"/schema-definitions/requesteddisplayitem","deprecated":false},{"title":"DisplayItemsContent","link":"/schema-definitions/displayitemscontent","deprecated":false},{"title":"DisplayItemContent","link":"/schema-definitions/displayitemcontent","deprecated":false},{"title":"DisplayItemContentPart","link":"/schema-definitions/displayitemcontentpart","deprecated":false},{"title":"Task","link":"/schema-definitions/task","deprecated":false},{"title":"TaskStatus","link":"/schema-definitions/taskstatus","deprecated":false},{"title":"AsyncTaskRequest","link":"/schema-definitions/asynctaskrequest","deprecated":false},{"title":"Callback","link":"/schema-definitions/callback","deprecated":false},{"title":"CallbackData","link":"/schema-definitions/callbackdata","deprecated":false},{"title":"ProblemDetails","link":"/schema-definitions/problemdetails","deprecated":false},{"title":"ProblemDetailsSeverity","link":"/schema-definitions/problemdetailsseverity","deprecated":false}]}]}]}]}}],"store":{"schemaStore":{"components/schemas/KeyParameterList":{"id":"components/schemas/KeyParameterList","kind":"json-schema","title":"KeyParameterList","data":{"type":"object","description":"The list of DrillPlan key parameters.","required":["key_parameters"],"properties":{"key_parameters":{"type":"array","items":{"$ref":"#/components/schemas/KeyParameter"}}}}},"components/schemas/KeyParameter":{"id":"components/schemas/KeyParameter","kind":"json-schema","title":"KeyParameter","data":{"type":"object","description":"The key parameter.","required":["id","name","supported_levels"],"properties":{"id":{"type":"string","description":"The key parameter ID."},"name":{"type":"string","description":"The name."},"description":{"type":"string","description":"The description."},"supported_levels":{"type":"array","description":"The supported levels of the key parameter.","items":{"$ref":"#/components/schemas/LevelType"}}},"example":{"id":"section-rig-name","name":"Rig Name","description":"The name of rig from the rig set which is linked to the section specified.","supp
[...]
